Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dataStructures
Class BinaryTreeNode

    java.lang.Object
      |
      +--dataStructures.BinaryTreeNode

public class BinaryTreeNode
extends java.lang.Object

Constructor Summary
`BinaryTreeNode()`
`BinaryTreeNode(java.lang.Object theElement)`
`BinaryTreeNode(java.lang.Object theElement, BinaryTreeNode theleftChild, BinaryTreeNode therightChild)`

Method Summary
`java.lang.Object` | `getElement()`
`BinaryTreeNode` | `getLeftChild()`
`BinaryTreeNode` | `getRightChild()`
`void` | `setElement(java.lang.Object theElement)`
`void` | `setLeftChild(BinaryTreeNode theLeftChild)`
`void` | `setRightChild(BinaryTreeNode theRightChild)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BinaryTreeNode

    public BinaryTreeNode()

### BinaryTreeNode

    public BinaryTreeNode(java.lang.Object theElement)

### BinaryTreeNode

    public BinaryTreeNode(java.lang.Object theElement,
                          BinaryTreeNode theleftChild,
                          BinaryTreeNode therightChild)

Method Detail

### getLeftChild

    public BinaryTreeNode getLeftChild()

### getRightChild

    public BinaryTreeNode getRightChild()

### getElement

    public java.lang.Object getElement()

### setLeftChild

    public void setLeftChild(BinaryTreeNode theLeftChild)

### setRightChild

    public void setRightChild(BinaryTreeNode theRightChild)

### setElement

    public void setElement(java.lang.Object theElement)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD